All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
ViennaCLVector_impl Struct Reference

`#include <viennacl_private.hpp>`

## Public Attributes

ViennaCLBackend | backend
ViennaCLPrecision | precision
char * | host_mem
ViennaCLInt | offset
ViennaCLInt | inc
ViennaCLInt | size

## Detailed Description

Definition at line 94 of file viennacl_private.hpp.

## Member Data Documentation

ViennaCLBackend ViennaCLVector_impl::backend

Definition at line 96 of file viennacl_private.hpp.

char* ViennaCLVector_impl::host_mem

Definition at line 106 of file viennacl_private.hpp.

ViennaCLInt ViennaCLVector_impl::inc

Definition at line 109 of file viennacl_private.hpp.

ViennaCLInt ViennaCLVector_impl::offset

Definition at line 108 of file viennacl_private.hpp.

ViennaCLPrecision ViennaCLVector_impl::precision

Definition at line 97 of file viennacl_private.hpp.

ViennaCLInt ViennaCLVector_impl::size

Definition at line 110 of file viennacl_private.hpp.

The documentation for this struct was generated from the following file:

- libviennacl/src/viennacl_private.hpp